MP4(3)

NAME

MP4AddRtpHint - Add an RTP hint

SYNTAX

#include <mp4.h>

bool MP4AddRtpHint(
    MP4FileHandle hFile,
    MP4TrackId trackId
);

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the hint track to which the operation applies.

RETURN VALUES

Upon success, true (1). Upon an error, false (0).

DESCRIPTION

MP4AddRtpHint creates a new hint sample for the specified hint track and enables subsequent calls to MP4AddRtpPacket() to create the RTP packets associated with this hint. After all the RTP packets for the hint have been created, MP4WriteRtpHint() should be called to write the hint to the track.

SEE ALSO

MP4(3) MP4AddRtpPacket(3) MP4WriteRtpHint (3)